Home | All Classes | Grouped Classes | Index | Search

# CL_SoundBuffer_Session::set_volume

Sets the volume of the session in a relative measure (0->1)

    	void set_volume(
    		float new_volume);

Parameters:

new_volume
  New volume of session.

Return value:

Returns true if the operation completed succesfully.

Detailed description:

A value of 0 will effectively mute the sound (although it will still be sampled), and a value of 1 will set the volume to "max".

See also:

CL_SoundBuffer_Session

Questions or comments, write to the ClanLib mailing list.